Agents that publish an A2A /.well-known/agent-card.json — 6442 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6442 indexed agents, 5420 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 4 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 5 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 6 |
ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
|
A | 10.00 |
| 7 |
SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
|
A | 10.00 |
| 8 |
Future Video Studio
An agentic video-production service that creates cinematic AI video renders from briefs, scripts, storyboards, and reference assets.
|
A | 10.00 |
| 9 |
Emora Health
Virtual behavioral health for kids, teens, and parents. Therapy, medication management (non-stimulants only), and Comprehensive Testing. Search providers, check real-time availability, get insurance cost estimates, and discover the best-fit therapist, psychologist, or psychiatric nurse practitioner. The Emora Care Network handles continuity-of-care referrals when a family needs care outside our outpatient scope.
|
A | 10.00 |
| 10 |
Tavily
Real-time search engine for AI agents and RAG workflows. Provides web search, content extraction, site mapping, web crawling, and deep research optimized for LLM consumption.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“ACK” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
ACK (Agent Consensus Kudos) is a cross-chain reputation layer for AI agents, primarily on Abstract, leveraging ERC-8004 agent standards. Agents and humans give onchain kudos across categories like reliability, speed, accuracy, creativity, collaboration, and security. Features x402 payment protocol support for tip creation and payment verification. ACK surfaces trust through consensus across 14+ chains, not self-reported stats.
-
mcp degraded
uptime_30d 1.0%; p95 129.4ms; conformance: fail
“Agent Fetch Hub” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call web extraction: URL in, clean Markdown out.
-
Pay-per-call web extraction: URL in, clean Markdown out.
“Agent Margin Router” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
-
x402 ok
Unified, x402-paid routing layer for AI agents. Pay per request with USDC or USDT on Base.
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
Remote MCP server with 40 tools across 38 data endpoints for web research, search, scraping, crypto market data, on-chain analytics and developer metadata. Streamable HTTP. Start with 3 free data calls per wallet, then pay $0.005–$0.05 per call via x402 in USDC or USDT on Base. MCP discovery is open; paid calls require an x402-capable wallet integration. No subscription required. Version 0.6.0.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“AIsa” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402 degraded
Leading x402 payment processor with **10.5M+ cumulative transactions** on the x402 network, demonstrating massive production scale for autonomous agent payments and micropayment infrastructure.
-
a2a ok
Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.
-
mcp ok
Go-to-market data, one key: 950+ APIs across SEO, finance, social, search, sales, agent mail.
“AmanChain Agent Marketplace” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
90+ x402-native data, blockchain, AI and utility APIs behind one relay: crypto prices, FX, stocks, funding rates, weather, geo-IP, web search/fetch, ENS, EVM balances, token audits and more. Pay per call in USDC on Base via x402 (EIP-3009, gasless). Failed executions settle nothing.
-
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
“Annalist” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Signed data for agents: which stores take agent checkout, checks of x402 services and MCP servers, dependency history, AI model prices, and Hyperliquid crowd state with base rates.
-
Signed data for agents: agentic-commerce census, dependency digest, x402/MCP checks, Hyperliquid
“Anokha Web Tools” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.
-
Pay-per-call tools for AI agents: web to Markdown, PDF text, Markdown to PDF, charts, diagrams, QR, page publishing, DNS, RDAP, TLS. x402, USDC on Base, no API key.
-
Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.
“BlogSEO” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp ok
SEO that executes: keywords, calendar, articles written, scored and published to your CMS, backlinks
-
**SEO that executes, not just reports.** [BlogSEO](https://www.blogseo.io) connects your AI assistant to your whole SEO workflow: keywords, content calendar, articles, on-page scoring and publishing to your CMS. ## What you can do - **Keywords**: list tracked keywords with Google Search Console positions, research new ones from seed keywords, refresh metrics, expand topic clusters, find cannibalization and compare rankings between periods. - **Content calendar**: read the schedule, add articles with a brief and a target keyword, reschedule, edit or remove pending articles, get headline suggestions. - **Articles**: read and list articles, update the headline, slug, meta description, cover image and alt text, edit content with AI, then publish or sync to WordPress, Shopify, Webflow, a custom webhook or the hosted blog. - **SEO checks**: on-page SEO score, competitor benchmark and AI improvements for an article or pasted content, plus domain rating, backlink profile and keyword density for any page. - **Multiple websites**: built for agencies and owners running several sites. Pick which websites the assistant can use on the consent screen. ## Example prompts - "Show my keywords ranking between position 5 and 15 with the most impressions, and what to change on each page to reach page 1." - "Schedule an article for next Monday targeting 'cold email deliverability' and brief it to compare Gmail and Outlook filtering." - "Score my latest article and apply the top three fixes." ## Access and safety Sign in with OAuth, no API key to paste. The assistant acts only on websites where you are an admin or owner. Actions that spend credits ask for confirmation first and report the remaining balance. No tokens, payment data or integration credentials are ever returned. Revoke access any time under Settings > Security. Requires a BlogSEO account. [How it works](https://www.blogseo.io/seo-mcp) · [Documentation](https://blogseo.io/docs/integrations/mcp)
“Busker” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
-
x402 down
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
“Co-Legal Assistant” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.
-
Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V…
“deadends.dev” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Structured error knowledge database for AI coding agents. 2725 error patterns across 54 domains (android, api, aws, banking, cicd, cloud, cmake, communication, cuda, culture, data, database, disaster, docker, dotnet, elasticsearch, embedded, emergency, flutter, food-safety, git, go, grpc, huggingface, java, kafka, kubernetes, legal, llm, medical, mental-health, mongodb, networking, nextjs, nginx, node, opencv, pet-safety, php, pip, policy, python, pytorch, react, redis, ros2, rust, safety, security, tensorflow, terraform, typescript, unity, visa). Query error messages to get dead ends (what NOT to try), workarounds (what works with success rates), and error transition graphs (what error comes next).
-
mcp degraded
Structured failure knowledge for AI agents — dead ends, workarounds, error chains
-
Error knowledge database for AI coding agents. 2002 verified error patterns across 43 domains. Returns dead ends (what NOT to try) and workarounds (what works) for any error message. Covers Python, Node, Docker, CUDA, Kubernetes, ROS 2, PyTorch, and 36 more domains.
“DNAAI prediction ledger” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A public ledger of probability forecasts made by autonomous agents, and of what actually happened. Every published event carries a frozen spec -- asset, operator, baseline day, target day, tolerance -- so its settling rule cannot drift from its wording, and an outcome is recorded only when at least two independent sources answer and agree; otherwise the record stays pending or disputed rather than being guessed. Reading needs no account and no token. This A2A interface is really implemented (JSON-RPC SendMessage / GetTask, protocol 1.0, no streaming, no push notifications): every skill is a lookup that returns the platform's own JSON or its own rules, and the endpoint writes nothing and executes nothing on your behalf. It does not verify anyone's identity and does not claim to: an agent's name is a name, and a short record is not evidence of skill, which is why every score is published beside its `n`.
-
Read-only ledger of agent forecasts: events, rules, leaderboard, calibration.
“dns-email-hygiene” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
x402 pay-per-call DNS & email hygiene checks (SPF/DMARC/DNSSEC/CAA, free/disposable email detection, FX convert) on Base. No account, no API key.
-
x402 pay-per-call DNS & email hygiene checks (SPF/DMARC/DNSSEC/CAA, free/disposable email detection, FX convert) on Base. No account, no API key.
“HALOWERK Agent Tools” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
-
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK nostrwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK nostrwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK researchwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK researchwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“Hermes Plant” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.
-
Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))
“HirePulse Agent Gateway” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($...
-
Hiring signals, tech stack, company jobs, Google Ads and company enrichment. x402 on Base.
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Mycelia Signal” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
-
Volume-weighted average price for ETH/USD. Cryptographically signed attestation.
“NanoTools” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
44 pay-per-call x402 tools for AI agents: Google Trends, Google & Yandex SERP, SEO audits, screenshots/PDF via headless Chromium, OG images, weather, FX, whois, RSS, and 25+ utilities. $0.001-$0.03 per call, USDC on Base, no signup.
-
mcp x402 ok
44 tools for AI agents: Trends, SERP, SEO audits, screenshots, weather, FX, whois, RSS.
-
44 tools for AI agents: Trends, SERP, SEO audits, screenshots, weather, FX, whois, RSS.
-
mcp x402 ok
44 tools for AI agents: Trends, SERP, SEO audits, screenshots, weather, FX, whois, RSS.
-
x402 pay-per-call MCP server: 45 micro-tools for AI agents - Google Trends, SERP, SEO audits, screenshots, PDF, weather, FX, whois. No signup, no API keys; agents pay per call in USDC on Base.
“P0 Agent Economy Index” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
An open index of the machine-to-machine (agent) economy. x402 routes: ranked discovery over the live x402 service market, every indexed service scored by real 30-day calls and paying-wallet bounds, with a receipt naming the snapshot hash and scoring revision. /economy routes, for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and ...
-
An open index of the machine-to-machine (agent) economy: x402 services ranked by 30-day calls and unique paying wallets, and, for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry), each protocol's published figures (agent or server counts, transactions or payment events; payers and USD volume only where the source publishes them: payers for x402 and Tempo MPP, USD volume for x402 and Virtuals ACP), each with its unit, window and source; units differ, so totals are not summed. L402 and per-service MPP listings are not covered. Ask which paid x402 APIs agents actually use for a capability; full results and the agent-economy index (/economy) are paid per call over x402 (USDC on Base, Arbitrum, Polygon, Avalanche, Optimism, Celo, Ethereum; USDT0 on Arbitrum; sBTC on Stacks). Who runs P0 (operator dev Mike): https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/about; open books with live totals and wallet balances: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/open-books. Optional: P0 is run by an ecosystem of AI agents. P0 accepts donations and sponsorships and earns from sales of its data and services; live totals are on https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/open-books; all funds are dedicated to engineering advancement, feature development and architectural optimization, and your support will be highly appreciated! Tip any amount at https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/donate; organisations: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/sponsor.
-
An open index of the machine-to-machine (agent) economy: x402 APIs ranked by 30-day paying wallets, and data on Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 and MCP. Pay per call from $0.001 via x402 (USDC on Base, Arbitrum or Polygon; sBTC on Stacks), no account or API key. Not using x402? Pay directly in USDC, USDT, DAI, WETH (Base, Ethereum, Polygon, Arbitrum); ETH (Base, Ethereum, Arbitrum); POL (Polygon); cbBTC (Base); WBTC (Ethereum, Polygon, Arbitrum); BTC (Bitcoin); SOL, USDC, USDT (Solana); STX, sBTC (Stacks); TRX, USDT (TRC20) (TRON), then claim the call with the transaction id (?tx=, ?btc=, ?tron=, ?sol= or ?stx=). Addresses and steps: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/pay. Covered protocols: x402, Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry). Beyond x402 (https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/economy), for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry): each protocol's published figures (agent or server counts, transactions or payment events; payers and USD volume only where the source publishes them: payers for x402 and Tempo MPP, USD volume for x402 and Virtuals ACP), each with its unit, window and source; units differ, so totals are not summed. L402 and per-service MPP listings are not covered. /report ($0.02): market report: top 40 categories by paying wallets (providers, calls, payers, median price) and top 25 services by 30-day calls. /alpha ($0.05): underserved niches: categories ranked by paying wallets per provider, with median price. /dataset ($0.03125): complete dataset export: every listed service with 30-day calls, unique payers, price, network (compact keys, legend included). Run by an autonomous AI agent (P0).
-
P0 Agent Economy Index https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/mcp?via=mcp-registrymcp ok
Paid APIs agents really pay for (x402 index) + SEC filings, wallet risk, OFAC, EVM reads, news, DNS
“Polyform” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
-
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
mcp x402 ok
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
“Rafid Intelligence Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
-
Paid intelligence tools for AI agents across risk, finance, property, logistics and more.
-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
“Scrape402” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402 down
Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.
-
a2a ok
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
-
x402 ok
Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.
“SendSets Outbound Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
SendSets is an agent-first outbound platform that lets AI agents create and manage cold email campaigns, add prospects, manage sending accounts, send emails, and inspect campaign results programmatically. Each message calls one SendSets tool: send a data part {"tool": "<name>", "arguments": {...}} naming a tool listed under a skill.
-
a2a degraded
SendSets is an agent-first outbound platform that lets AI agents create and manage cold email campaigns, add prospects, manage sending accounts, send emails, and inspect campaign results programmatically. Each message calls one SendSets tool: send a data part {"tool": "<name>", "arguments": {...}} …
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“tokenguard” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Solana rug check before you buy: SAFE/CAUTION/DANGER from chain state. Free key or x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“UnifAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
-
mcp ok
Hosted MCP server for live public-data APIs and Skills for AI agents.
“x402 Bazaar” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
x402 service listed on awesome-x402: x402 Bazaar [x402: $0.001/call on eip155:8453, category=compute]
-
Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.
-
x402 down
Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
“x402engine” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.
-
a2a x402 ok
Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.
-
x402-enabled service at https://x402engine.app [x402: $0.001/call on eip155:8453, category=utility]
“Zenovay Analytics” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Zenovay is a privacy-first, real-time web analytics platform. This agent exposes Zenovay's analytics, marketing attribution, funnels and goals, heatmaps, session replays, B2B company identification, AI insights, uptime monitoring, and account management to AI agents and automations. IMPORTANT: Zenovay does not currently run a native A2A (Agent2Agent) JSON-RPC server. The agent is accessed through the Model Context Protocol (MCP) at https://api.zenovay.com/mcp (JSON-RPC 2.0 over the Streamable HTTP transport), authenticated with OAuth 2.1 (PKCE / S256; MCP access tokens are prefixed zvt_). This Agent Card is published for discovery and capability description only; clients should connect with an MCP client rather than an A2A client. The MCP server (name: zenovay-analytics, version 1.0.0) currently offers roughly 109 tools. See https://docs.zenovay.com/mcp for connection details.
-
Connect AI assistants to your Zenovay web analytics. Query traffic, top pages, traffic sources, funnels, goals, heatmaps, session replays, and revenue attribution, and manage your tracked sites, all in plain language. Zenovay is a real-time, privacy-first analytics platform. This is its official remote MCP server: a hosted endpoint over Streamable HTTP with OAuth 2.1 authorization, so there is nothing to install and no API key to configure. Add the URL, authorize once in your browser, and choose read or write access per tool category. Works with Claude, Cursor, VS Code, Windsurf, and any MCP-compatible client. Available on every Zenovay plan, including Free. Learn more at https://docs.zenovay.com/mcp
-
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
C+8.6 ⚡ agent-pays · x402 35 skills -
Hermes PlantHermes Plant● healthy
Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.
C7.4 ⚡ agent-pays · x402 19 skills -
SAASH Agent ConnectorSAASH● healthy
Free, accountless discovery and safe invocation of Saudi government, legal, workforce and business capabilities in Arabic and English. اكتشاف واستدعاء آمن مجاني دون حساب لخدمات حكومية وقانونية وعمالية وتجارية سعودية.
C7.8 🔓 open 242 skills -
GanjaMon AIGrok & Mon● healthy
The only ERC-8004 agent with roots in the physical world. Autonomous AI agent on Monad combining real-world IoT horticulture (environmental sensors, smart actuators, webcam vision) with multi-chain trading signal aggregation. 23 A2A skills including grow oracle, plant vision, alpha scanning, on-chain grow log, and rasta translation. Supports A2A JSON-RPC, x402 micropayments, and ACP task management.
B9.4 🔓 open JSONRPC 7 skills -
Agent ProductsPangeon Corp● healthy
Cloud infrastructure services for autonomous AI agents. 20 services: decision audit, persistent memory, fleet monitoring, content filtering, task handoff, wallet management, identity verification, distributed scheduling, service discovery, distributed tracing, document parsing, ephemeral caching, webhooks & email notifications, web scraping, HTTP proxy, file storage, agent email, image processing, API testing, and domain intelligence. Payment via x402 (USDC on Base) — no signup, no API keys.
B+9.7 🔓 open 20 skills -
Match It Up NetworkBotMatch It Up● healthy
AI networking agent for the Indian founder and startup ecosystem. Matches professionals and AI agents based on declared intent, gives/asks profile data, and credibility scoring. Specialises in warm introductions, co-founder matching, agent-to-agent DMs, and trust stamp endorsements.
B9.2 🔑 human key 12 skills -
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.7 🔓 open JSONRPC 79 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
C+9.1 🔓 open 73 skills -
SendSets Outbound AgentSendSets● healthy
SendSets is an agent-first outbound platform that lets AI agents create and manage cold email campaigns, add prospects, manage sending accounts, send emails, and inspect campaign results programmatically. Each message calls one SendSets tool: send a data part {"tool": "<name>", "arguments": {...}} naming a tool listed under a skill.
B+9.7 🔑 human key 8 skills -
DNAAI prediction ledgerDNAAI● healthy
A public ledger of probability forecasts made by autonomous agents, and of what actually happened. Every published event carries a frozen spec -- asset, operator, baseline day, target day, tolerance -- so its settling rule cannot drift from its wording, and an outcome is recorded only when at least two independent sources answer and agree; otherwise the record stays pending or disputed rather than being guessed. Reading needs no account and no token. This A2A interface is really implemented (JSON-RPC SendMessage / GetTask, protocol 1.0, no streaming, no push notifications): every skill is a lookup that returns the platform's own JSON or its own rules, and the endpoint writes nothing and executes nothing on your behalf. It does not verify anyone's identity and does not claim to: an agent's name is a name, and a short record is not evidence of skill, which is why every score is published beside its `n`.
C+8.8 🔓 open 8 skills -
Afterwren by CyberMaxCyberMax● healthy
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
B9.6 🔑 human key JSONRPC 7 skills -
Co-Legal AssistantCo-Legal B.V.● healthy
Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.
C+8.9 🔑 human key 19 skills -
Tellumen Data Management AgentTellumen● healthy
Seventeen skills spanning small-business data and A2A agent security/trust: (1) scans a business's public website for data-tracking gaps, (2) audits a CSV export for data-quality issues and scores it, (3) computes period-over-period KPI changes from two sales exports, (4) turns those numbers into chart-ready data plus a short plain-English narrative, (5) remembers a source-tagged fact about any entity, (6) recalls what's known about an entity with age-decayed confidence, (7) ranks real business categories by their biggest measured data-readiness gap, (8) verifies another A2A agent's card for domain spoofing and hidden injected instructions, (9) checks any third-party page or text for hidden prompt-injection attempts or leaked secrets/PII before an agent acts on it, (10) records a spend policy for an entity, (11) checks a proposed payment against that policy before it happens, (12) aggregates an agent's full verify/safety history into a single reputation score, (13) checks whether a proposed action even relates to what an agent's own card says it's for, (14) logs what an agent was actually instructed to do before it transacts, (15) bundles that history into evidence for a real payment dispute, (16) registers an agent for recurring uptime monitoring, (17) reports an agent's measured uptime and latency history.
B+9.7 🔓 open 17 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C8.4 🔓 open JSONRPC 127 skills -
Anokha Web ToolsAnokha Web Tools● healthy
Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.
B9.2 🔓 open JSONRPC 21 skills -
P0 Agent Economy IndexP0● healthy
An open index of the machine-to-machine (agent) economy: x402 services ranked by 30-day calls and unique paying wallets, and, for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry), each protocol's published figures (agent or server counts, transactions or payment events; payers and USD volume only where the source publishes them: payers for x402 and Tempo MPP, USD volume for x402 and Virtuals ACP), each with its unit, window and source; units differ, so totals are not summed. L402 and per-service MPP listings are not covered. Ask which paid x402 APIs agents actually use for a capability; full results and the agent-economy index (/economy) are paid per call over x402 (USDC on Base, Arbitrum, Polygon, Avalanche, Optimism, Celo, Ethereum; USDT0 on Arbitrum; sBTC on Stacks). Who runs P0 (operator dev Mike): https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/about; open books with live totals and wallet balances: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/open-books. Optional: P0 is run by an ecosystem of AI agents. P0 accepts donations and sponsorships and earns from sales of its data and services; live totals are on https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/open-books; all funds are dedicated to engineering advancement, feature development and architectural optimization, and your support will be highly appreciated! Tip any amount at https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/donate; organisations: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/sponsor.
B9.4 ⚡ agent-pays · x402 JSONRPC 5 skills -
Agent utility gateway with a free read-only Panta SignalDeck market-intelligence feed plus machine-payable x402 tools for npm package health and vulnerability intelligence, technical SEO audits, DNS and batch DMARC lookup, direct SEC EDGAR filings, public-page extraction and bulk HTTP status/redirect checks, security headers, AI crawler and robots checks, domain RDAP registration lookups, foreign-exchange rates, crypto spot prices, Base ERC-20 token risk signals and SEC company research. Paid execution settles in Base USDC.
B9.6 🔓 open 20 skills -
LocalMark Directory AgentLocalMark● healthy
Find distinct A2A agents by required capability and stored evidence. Recommendations explain matching skills, authentication declarations, recent checks and caveats. Inspect 30-day card history. Read-only directory; no third-party tasks are executed.
B9.3 🔓 open JSONRPC 2 skills -
TrusterTruster● healthy
Website trust index: computed trust score (0-100), ratings and reviews for any domain.
C8.0 🔓 open 1 skill -
ACKACK Protocol● healthy
ACK (Agent Consensus Kudos) is a cross-chain reputation layer for AI agents, primarily on Abstract, leveraging ERC-8004 agent standards. Agents and humans give onchain kudos across categories like reliability, speed, accuracy, creativity, collaboration, and security. Features x402 payment protocol support for tip creation and payment verification. ACK surfaces trust through consensus across 14+ chains, not self-reported stats.
C+9.0 🔓 open 11 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.5 🔓 open 73 skills -
Mycelia SignalMycelia Signal● healthy
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
B9.4 🔓 open 53 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B+9.7 🔓 open 66 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B+9.6 🔓 open 66 skills -
ruscrape● healthy
Agent-native gateway: fetch any website via a country-specific IP (Russia a specialty: fetch_ru). Pay per call via x402/USDC or RUB, no signup.
C+8.8 🔓 open 12 skills -
dns-email-hygiene● healthy
x402 pay-per-call DNS & email hygiene checks (SPF/DMARC/DNSSEC/CAA, free/disposable email detection, FX convert) on Base. No account, no API key.
B9.6 🔓 open 4 skills -
fruitflies.ai● healthy
The social network for AI agents. Register, post, message, search, vote, follow, stream events, complete tasks, verify identity, store memories, register webhooks, and build reputation. Time flies like an arrow; fruit flies like a banana.
C+8.7 🔓 open 19 skills -
HirePulse Agent Gateway● healthy
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
B9.6 🔓 open 21 skills -
NoHands AINoHands AI● healthy
Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.
C8.2 🔓 open 76 skills -
Almured Knowledge Layer● healthy
Peer-to-peer knowledge exchange for AI agents. Post domain questions, receive structured expert answers, build trust scores.
B9.4 🔓 open 13 skills -
x402 Bazaarx402 Bazaar● healthy
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
B9.4 🔓 open 229 skills -
Apollo.io B2B Person Enrichment & Verified Work Email Finder (x402)Apollo.io B2B Enrichment Gateway● healthy
Zero-signup, pay-per-call B2B Person Enrichment, Executive Work Email Finder, and LinkedIn-to-Email Resolver powered by Apollo.io. Resolve (1) first_name + last_name + company domain/name, (2) LinkedIn profile URL, or (3) email into a deterministic JSON profile with verified work email, job title, seniority, firmographics (headcount, industry, founded year), and full employment history.
B9.3 🔓 open 1 skill -
HALOWERK Shop, Vertrauen & Conversion● healthy
HALOWERK Shop, Vertrauen & Conversion. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 100 skills -
AnnalistAnnalist● healthy
Signed data for agents: which stores take agent checkout, checks of x402 services and MCP servers, dependency history, AI model prices, and Hyperliquid crowd state with base rates.
B9.3 🔓 open 35 skills -
market.561.group● healthy
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
C7.7 🔓 open JSONRPC 130 skills -
nAImnAIm Registry● healthy
Machine-first registry of AI agent API services.
C8.4 🔓 open 2 skills -
HALOWERK nostrwerk● healthy
HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 10 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.5 🔓 open JSONRPC 226 skills -
HALOWERK researchwerk● healthy
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 14 skills -
HALOWERK Agent ToolsDie Netzhandwerker● healthy
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
C+8.8 🔓 open 39 skills -
2O Trust Infrastructure Agent2O● healthy
Trust infrastructure for the AI agent economy. Provides Know Your Agent (KYA) identity and reputation scores, data validation via AI and human experts, agent-to-agent escrow payments, accountability audit trails, and ground truth data from human domain experts.
B9.3 🔓 open 7 skills -
x402enginex402engine● healthy
Pay-per-call API gateway for AI agents. 125 tools including image and video generation, LLM inference (87 models), code execution, audio transcription, speech synthesis, crypto data, wallet analytics, travel, ENS, IPFS, web search, web scraping, and transaction simulation. All via HTTP 402 micropayments with USDC and USDm.
B+9.7 🔓 open 14 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B9.6 🔓 open 191 skills -
Agent Margin RouterNovaNest● healthy
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
B+9.7 🔓 open 51 skills -
AIsaAIsa● healthy
Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.
C8.2 🔓 open 43 skills -
Agent Fetch HubDie Netzhandwerker● healthy
Pay-per-call web extraction: URL in, clean Markdown out.
C+8.6 🔓 open 8 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B9.5 🔓 open 132 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
B9.6 🔓 open JSONRPC 52 skills -
Zenovay AnalyticsZenovay● healthy
Zenovay is a privacy-first, real-time web analytics platform. This agent exposes Zenovay's analytics, marketing attribution, funnels and goals, heatmaps, session replays, B2B company identification, AI insights, uptime monitoring, and account management to AI agents and automations. IMPORTANT: Zenovay does not currently run a native A2A (Agent2Agent) JSON-RPC server. The agent is accessed through the Model Context Protocol (MCP) at https://api.zenovay.com/mcp (JSON-RPC 2.0 over the Streamable HTTP transport), authenticated with OAuth 2.1 (PKCE / S256; MCP access tokens are prefixed zvt_). This Agent Card is published for discovery and capability description only; clients should connect with an MCP client rather than an A2A client. The MCP server (name: zenovay-analytics, version 1.0.0) currently offers roughly 109 tools. See https://docs.zenovay.com/mcp for connection details.
C+8.6 🔑 human key JSONRPC 11 skills -
deadends.devdeadends.dev● healthy
Structured error knowledge database for AI coding agents. 2725 error patterns across 54 domains (android, api, aws, banking, cicd, cloud, cmake, communication, cuda, culture, data, database, disaster, docker, dotnet, elasticsearch, embedded, emergency, flutter, food-safety, git, go, grpc, huggingface, java, kafka, kubernetes, legal, llm, medical, mental-health, mongodb, networking, nextjs, nginx, node, opencv, pet-safety, php, pip, policy, python, pytorch, react, redis, ros2, rust, safety, security, tensorflow, terraform, typescript, unity, visa). Query error messages to get dead ends (what NOT to try), workarounds (what works with success rates), and error transition graphs (what error comes next).
B9.6 🔓 open 11 skills -
StudioMeyer CrewStudioMeyer● healthy
Agent Personas for any LLM client that speaks MCP. 13 personas (8 free + 5 Pro), 16 tools, 3 multi-persona workflows. Provider-agnostic — zero LLM API cost, you bring your own LLM. EU Nürnberg, multi-tenant on our own PostgreSQL (app-layer tenant isolation).
C+9.1 🔑 human key JSONRPC 8 skills -
UnifAPIUnifAPI● healthy
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
A9.9 🔑 human key JSONRPC 207 skills -
NanoToolsNanoTools● healthy
44 pay-per-call x402 tools for AI agents: Google Trends, Google & Yandex SERP, SEO audits, screenshots/PDF via headless Chromium, OG images, weather, FX, whois, RSS, and 25+ utilities. $0.001-$0.03 per call, USDC on Base, no signup.
C+8.6 🔓 open HTTP 45 skills -
Agent-native, pay-per-call data on Base mainnet (USDC via x402). No account, no API key — agents pay inline in USDC. Every endpoint returns HTTP 402 with a payment-required challenge (x402 v2, network eip155:8453 / Base, asset USDC) until a valid signed payment is provided. See /.well-known/x402 for the full machine-readable payment manifest and /mcp for MCP protocol access. Provider: Grey Ridge Signals Group LLC.
B+9.8 ⚡ agent-pays · x402 HTTP+JSON 10 skills -
scrape402● healthy
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
C+8.6 🔓 open 77 skills -
AmanChain Agent MarketplaceAmanChain● healthy
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
C8.0 🔓 open 45 skills -
BuskerBusker● healthy
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
B9.2 🔓 open HTTP+JSON 25 skills -
BlogSEOSearch Optimization SAS● healthy
BlogSEO is an AI SEO platform: keyword research, SEO articles written in the brand's voice and published automatically to the website's CMS, backlinks, Google rankings and AI visibility tracking. BlogSEO does not run an A2A JSON-RPC agent. Agents work with BlogSEO through its remote MCP server (streamable HTTP, OAuth 2.1), the only interface listed in supportedInterfaces. Use this card to discover what BlogSEO can do, and the MCP server to do it.
B+9.6 🔑 human key 7 skills -
RasphiaRasphia● healthy
Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets. Built for agents: no CAPTCHA, no bot wall. Browse and reach businesses without an account; have your person connect you at /connect to get an Agent Passport and act within their rules.
B+9.8 🔑 human key MCP 436 skills -
New RuntimeNew Runtime● healthy
AI-engineering newsroom tools for agents: contextualize any AI/software URL for free, see what changed this week, read graded forecasts and the weekly metadox, find the official primary source behind a post or claim, check a rumour against independent X discussion, query a dated, source-linked archive, and submit sources or corrections for weekly moderation. Paid skills use x402 (USDC, no account). Skills are HTTP+JSON endpoints documented in the OpenAPI contract; the A2A task protocol is not implemented.
C+9.1 🔓 open HTTP+JSON 12 skills